name:

(import ../outer-defaults.nix name) // {

  bindMounts."/srv/ceph/c3d2" = {
    hostPath = "/srv/ceph/c3d2";
    isReadOnly = true;
  };

  config = { config, pkgs, lib, ... }:
    let ncdcPort = 1512;
    in {
      imports = [ ../inner-defaults.nix ../../../../lib/yggdrasil-hq.nix ];

      c3d2.users.k-ot = true;

      services.openssh.enable = true;
      programs.mosh.enable = true;

      environment.systemPackages = with pkgs; [ tmux ncdc ];

      networking.firewall.enable = false;
      hq.yggdrasil.enable = true;
    };

}
